OS/2, eCS & ArcaOS - Technical > Setup & Installation

Cups won't print PDFs

(1/4) > >>

guzzi:
Printing from most applications works.
When I try to print from Lucide or Qpdfview I get errors. See below for excerpts from the error log.
GS8.71, Gutenprint 5.2.9, Cups 1.4.8 installed freshly from ZIP files. Don't know if it is related, but I can't install using wpi, Warpin gives an error 'Invalid package index "5" specified with REQUIRED attribute' when trying to extract cups-base-1_4_8_3.wpi, although all required packages are in the same directory.


Printing from Qpdfview:
cups/lib/cups/filter/pstoraster failed

D [17/Feb/2014:17:45:53 -0100] [Job 4] Error: /syntaxerror in (bin obj seq, type=128, elements=1, size=56322, non-zero unused field)
D [17/Feb/2014:17:45:53 -0100] [Job 4] Operand stack:
D [17/Feb/2014:17:45:53 -0100] [Job 4]
D [17/Feb/2014:17:45:53 -0100] [Job 4] Execution stack:
D [17/Feb/2014:17:45:53 -0100] [Job 4] %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1846   1   3   %oparray_pop   1845   1   3   %oparray_pop   1829   1   3   %oparray_pop   1723   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
D [17/Feb/2014:17:45:53 -0100] [Job 4] Dictionary stack:
D [17/Feb/2014:17:45:53 -0100] [Job 4] --dict:1157/1684(ro)(G)--   --dict:0/20(G)--   --dict:77/200(L)--   --dict:73/75(L)--
D [17/Feb/2014:17:45:53 -0100] [Job 4] Current allocation mode is local
D [17/Feb/2014:17:45:53 -0100] [Job 4] Last OS error: No such file or directory
D [17/Feb/2014:17:45:53 -0100] [Job 4] GPL Ghostscript 8.71: Unrecoverable error, exit code 1


Printing from Lucide:
"No %%BoundingBox: comment in header!"

D [17/Feb/2014:17:52:45 -0100] [Job 5] Error: /invalidfont in /findfont
D [17/Feb/2014:17:52:45 -0100] [Job 5] Operand stack:
D [17/Feb/2014:17:52:45 -0100] [Job 5] F70_0   1   1   --nostringval--   Helvetica-Oblique
D [17/Feb/2014:17:52:45 -0100] [Job 5] Execution stack:
D [17/Feb/2014:17:52:45 -0100] [Job 5] %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1846   1   3   %oparray_pop   1845   1   3   %oparray_pop   1829   1   3   %oparray_pop   1723   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   1804   5   4   %oparray_pop
D [17/Feb/2014:17:52:45 -0100] [Job 5] Dictionary stack:
D [17/Feb/2014:17:52:45 -0100] [Job 5] --dict:1157/1684(ro)(G)--   --dict:0/20(G)--   --dict:77/200(L)--   --dict:67/75(L)--
D [17/Feb/2014:17:52:45 -0100] [Job 5] Current allocation mode is local
D [17/Feb/2014:17:52:45 -0100] [Job 5] Last OS error: No such file or directory
D [17/Feb/2014:17:52:45 -0100] [Job 5] GPL Ghostscript 8.71: Unrecoverable error, exit code 1

Michaelhz:
Hm... know problem to me also with some special pfd's. Try bitmap-printing with lucide.

guzzi:
Here it happens with ALL pdf's I try to print. Stange thing is, it used to work.. Printing as bitmap does work, although in grayscale instead of colour and the printjob doesn't finish in cups even when all has been printed properly.. Still would like to know if it's fixable...

David McKenna:
  Did you update your pstoraster file to point at Ghostscript? Also, you need to make sure C:\cups\sbin is on your libpath in order for printing from any QT based app to work. Did you get all required apps from the same location (ftp://ftp.netlabs.org/pub/ecups/install)? Make sure there is only one version of cups.dll on your system. You also might want to give Ghostscript 9.10 a try... it has been working well with CUPS here... Based on the Lucide errors you show, maybe you are missing a required font? (not sure how to determine that though...).

  Just a few thoughts off the top of my head...

guzzi:
Pstoraster points at the right location. cups\sbin has never been in my libpath. Adding it makes no difference. I didn't use the warpin packages, as I mentioned in the original post. The locations of the zip files in the wiki are no longer valid, they are now partly on sourceforge and partly on paul's site. Will give GS9.1 a try but since cups has been working there might be something else broken. I have the same problem on 2 ecs installs though, 2.1 and 2.2b so that would  indicate a problem with cups.

Navigation

[0] Message Index

[#] Next page

Go to full version